#
# Conditional build:
%bcond_without	tests	# unit tests

Summary:	Parameterized testing with any Python test framework
Summary(pl.UTF-8):	Parametryzowane testowanie w dowolnym szkielecie testów pythonowych
Name:		python3-parameterized
Version:	0.9.0
Release:	1
License:	BSD
Group:		Libraries/Python
#Source0Download: https://pypi.org/simple/parameterized/
Source0:	https://files.pythonhosted.org/packages/source/p/parameterized/parameterized-%{version}.tar.gz
# Source0-md5:	ed1bee2fb5d9044688d8503bdda9e6f3
Patch0:		tests.patch
URL:		https://pypi.org/project/parameterized/
BuildRequires:	python3-modules >= 1:3.2
BuildRequires:	python3-build
BuildRequires:	python3-installer
%if %{with tests}
BuildRequires:	python3-mock
BuildRequires:	python3-pynose
%endif
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
Requires:	python-modules >= 1:2.5
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Parameterized testing with any Python test framework (nose, py.test,
unittest).

%description -l pl.UTF-8
Parametryzowane testowanie w dowolnym szkielecie testów pythonowych
(nose, py.test, unittest).

%prep
%setup -q -n parameterized-%{version}
%patch -P 0 -p1

%build
%py3_build_pyproject

%if %{with tests}
nosetests parameterized/test.py
%endif

%install
rm -rf $RPM_BUILD_ROOT

%py3_install_pyproject

%{__rm} $RPM_BUILD_ROOT%{py3_sitescriptdir}/parameterized/test.py
%{__rm} $RPM_BUILD_ROOT%{py3_sitescriptdir}/parameterized/__pycache__/test.*.py*

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc LICENSE.txt README.rst
%{py3_sitescriptdir}/parameterized
%{py3_sitescriptdir}/parameterized-%{version}.dist-info
%changelog
* Sun Mar 23 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python3-parameterized.git;a=log;h=master

* Sun Mar 23 2025 Jan Rękorajski <baggins@pld-linux.org> f5a0e0c
- up to 0.9.0

* Tue Mar 11 2025 Jan Rękorajski <baggins@pld-linux.org> 95c71ef
- doc/test rebuild for python 3.13

* Mon Mar 10 2025 Jan Rękorajski <baggins@pld-linux.org> 6b2730a
- python 3.13 rebuild

* Sun Mar 09 2025 Jan Rękorajski <baggins@pld-linux.org> fa78151
- use patch -P

* Wed Mar 30 2022 Jan Rękorajski <baggins@pld-linux.org> 21b4c65
- rebuild with tests and docs

* Sat Mar 26 2022 Jan Rękorajski <baggins@pld-linux.org> de5d5ab
- rebuild with python 3.10

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> c6d46e3
- rebuild with python 3.10

* Sat Feb 27 2021 Jan Rękorajski <baggins@pld-linux.org> 171b5dd
- release 3 (by relup.sh)

* Tue Feb 16 2021 Jakub Bogusz <qboosh@pld-linux.org> 4d11824
- don't package tests, release 2

* Mon Feb 15 2021 Jakub Bogusz <qboosh@pld-linux.org> fef46cc
- new
- mock patch to allow using unittest.mock under python3 instead of separate mock

